package jp.mobilehackerz.is01root;

import android.content.*;
import android.appwidget.*;
import android.util.*;

public class RootSwitchWidgetProvider extends AppWidgetProvider {

	@Override
	public void onUpdate(Context context, AppWidgetManager appWidgetManager, int[] appWidgetIds) {
		super.onUpdate(context, appWidgetManager, appWidgetIds);

        // サービスの起動
		Log.v("Widget","onUpdate");
        Intent intent = new Intent(context, RootSwitchService.class);
        context.startService(intent);
	}

}
